SystemOrganization addCategory: #ConfigurationOfJQueryWidgetBox!

Object subclass: #ConfigurationOfJQueryWidgetBox
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfJQueryWidgetBox'!

!ConfigurationOfJQueryWidgetBox class methodsFor: 'private' stamp: 'tbn 1/12/2010 14:36'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'private' stamp: 'tbn 1/12/2010 14:36'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:35'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:35'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'loading' stamp: 'tbn 11/16/2010 15:50'!
load
	^self project latestVersion load! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'loading' stamp: 'tbn 1/14/2010 11:14'!
loadLatestVersion
	"self loadLatestVersion"
	
	^self project latestVersion load! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:36'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfJQueryWidgetBox class methodsFor: 'accessing' stamp: 'tbn 1/12/2010 14:35'!
project

	^self new project! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'NickAger 6/28/2011 16:37'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Initial baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
		spec 
		       "Core packages"
			package: 'JQWidgetBox-Core' with: [ spec requires: 'Seaside30' ].	
		spec				
			"Widgets"
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-AlphaNumeric-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Autocomplete-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-BubbleTip-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Calculator-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-CheckTree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Cycle-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-DropShadow-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-EpiClock-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Fisheye-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FontEffect-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FormExample-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Growl-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-HoverIntent-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ImageDropDown-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-InnerFade-Core' with: [ spec requires: 'JQWidgetBox-Core' ];										
			package: 'JQWidgetBox-JEditable-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQGrid-Core' with: [spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-PageFold-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Reflection-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-Sheet-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Spinner-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Splitter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-WeekCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].
																							
		"Dev/Test support"																		
		spec				
			package: 'JQWidgetBox-Dev' with: [ spec requires: 'JQWidgetBox-Core'].
		"Widgets Tests and Examples"			
		spec	
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AccessibleNewsSlider-Core') ];
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AlphaNumeric-Core') ];
			package: 'JQWidgetBox-Autocomplete-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Autocomplete-Core') ];
			package: 'JQWidgetBox-BubbleTip-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-BubbleTip-Core') ];						
			package: 'JQWidgetBox-Calculator-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Calculator-Core') ];			
			package: 'JQWidgetBox-CheckTree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-CheckTree-Core') ];			
			package: 'JQWidgetBox-Cycle-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Cycle-Core') ];			
			package: 'JQWidgetBox-DropShadow-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-DropShadow-Core') ];
			package: 'JQWidgetBox-EpiClock-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-EpiClock-Core') ];
			package: 'JQWidgetBox-Fisheye-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Fisheye-Core') ];
			package: 'JQWidgetBox-FontEffect-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FontEffect-Core') ];
			package: 'JQWidgetBox-FormExample-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FormExample-Core') ];
			package: 'JQWidgetBox-Growl-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Growl-Core') ];			
			package: 'JQWidgetBox-HoverIntent-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-HoverIntent-Core') ];
			package: 'JQWidgetBox-ImageDropDown-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-ImageDropDown-Core') ];
			package: 'JQWidgetBox-InnerFade-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-InnerFade-Core') ];
			package: 'JQWidgetBox-JEditable-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JEditable-Core') ];
			package: 'JQWidgetBox-JQGrid-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQGrid-Core') ];
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQTools-Tabs-Core') ];			
			package: 'JQWidgetBox-PageFold-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-PageFold-Core') ];						
			package: 'JQWidgetBox-Reflection-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Reflection-Core') ];															
			package: 'JQWidgetBox-Sheet-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Sheet-Core') ];			
			package: 'JQWidgetBox-Spinner-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Spinner-Core') ];
			package: 'JQWidgetBox-Splitter-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Splitter-Core') ];									
			package: 'JQWidgetBox-WeekCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-WeekCalendar-Core') ].
			
		"Groups"																																					
		spec
			group: 'default' with: #('All');
			group: 'All' with: #('Core' 'Widgets' 'Dev' 'Widgets-Dev').
			
		spec
			"Core packages"
			group: 'Core' with: #('JQWidgetBox-Core').
		spec
			"Widgets"
			group: 'Widgets' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Core' 
				'JQWidgetBox-AlphaNumeric-Core'
				'JQWidgetBox-Autocomplete-Core'
				'JQWidgetBox-BubbleTip-Core'				
				'JQWidgetBox-Calculator-Core'
				'JQWidgetBox-CheckTree-Core'
				'JQWidgetBox-Cycle-Core'
				'JQWidgetBox-DropShadow-Core'
				'JQWidgetBox-EpiClock-Core'
				'JQWidgetBox-Fisheye-Core'
				'JQWidgetBox-FontEffect-Core'
				'JQWidgetBox-FormExample-Core'
				'JQWidgetBox-Growl-Core'				
				'JQWidgetBox-HoverIntent-Core'
				'JQWidgetBox-ImageDropDown-Core'
				'JQWidgetBox-InnerFade-Core'
				'JQWidgetBox-JEditable-Core'
				'JQWidgetBox-JQGrid-Core'
				'JQWidgetBox-JQTools-Tabs-Core'				
				'JQWidgetBox-PageFold-Core'				
				'JQWidgetBox-Reflection-Core'									
				'JQWidgetBox-Sheet-Core'
				'JQWidgetBox-Spinner-Core'
				'JQWidgetBox-Splitter-Core'
				'JQWidgetBox-WeekCalendar-Core'	).
					
		"Dev/Test support"		
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Dev' 
				'JQWidgetBox-AlphaNumeric-Dev' 
				'JQWidgetBox-Autocomplete-Dev'
				'JQWidgetBox-BubbleTip-Dev'				
				'JQWidgetBox-Calculator-Dev'
				'JQWidgetBox-CheckTree-Dev'
				'JQWidgetBox-Cycle-Dev'
				'JQWidgetBox-DropShadow-Dev'
				'JQWidgetBox-EpiClock-Dev'
				'JQWidgetBox-Fisheye-Dev'
				'JQWidgetBox-FontEffect-Dev'
				'JQWidgetBox-FormExample-Dev'
				'JQWidgetBox-Growl-Dev'				
				'JQWidgetBox-HoverIntent-Dev'
				'JQWidgetBox-ImageDropDown-Dev'
				'JQWidgetBox-InnerFade-Dev'
				'JQWidgetBox-JEditable-Dev'
				'JQWidgetBox-JQGrid-Dev'
				'JQWidgetBox-JQTools-Tabs-Dev'
				'JQWidgetBox-PageFold-Dev'				
				'JQWidgetBox-Reflection-Dev'									
				'JQWidgetBox-Sheet-Dev'
				'JQWidgetBox-Spinner-Dev'
				'JQWidgetBox-Splitter-Dev'
				'JQWidgetBox-WeekCalendar-Dev').			
		
		"Seaside 3.0"	
		spec
			project: 'Seaside30' 
			with: [
				spec
					className: 'ConfigurationOfSeaside30';
					file: 'ConfigurationOfSeaside30';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].											
	].	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'NickAger 6/28/2011 16:38'!
baseline11: spec 
	<version: '1.1-baseline' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '1.1 baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
			
		"Widgets"
		spec				
			package: 'JQWidgetBox-Stars-Core' with: [ spec requires: 'JQWidgetBox-Core' ].

		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-Stars-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Stars-Core') ].
			
		spec
			"Widgets"
			group: 'Widgets' with: #('JQWidgetBox-Stars-Core').
					
		"Dev/Test support"		
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-Stars-Dev') ]	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'NickAger 6/28/2011 16:40'!
baseline13: spec 
	<version: '1.3-baseline' imports: #('1.0-baseline')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '1.3 baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
			
		"Widgets"
		spec				
			package: 'JQWidgetBox-Stars-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FancyBox-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-UILayout-Core' with: [ spec requires: 'JQWidgetBox-Core' ];		
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].	
		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-Stars-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Stars-Core') ];
			package: 'JQWidgetBox-FancyBox-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FancyBox-Core') ];
			package: 'JQWidgetBox-UILayout-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];			
			package: 'JQWidgetBox-FullCalendar-Dev-Example' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FullCalendar-Core') ];		
			package: 'JQWidgetBox-Dev' with: [ spec requires: 'JQuery Tests' ].
			
		spec
			"Widgets"
			group: 'Widgets' with: #('JQWidgetBox-Stars-Core' 'JQWidgetBox-FancyBox-Core').
					
		"Dev/Test support"		
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-Stars-Dev' 'JQWidgetBox-FancyBox-Dev'). 
		
		"Seaside 3.0...should rename this to JQuery, methinks:)"	
		spec
			project: 'JQuery Tests' copyFrom: 'Seaside30' with: [
				spec
					loads: #( 'JQuery-Tests-UI' ).];
			yourself ].	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'obi 9/6/2010 20:29'!
baseline14: spec 
	<version: '1.4-baseline' imports: #('1.3-baseline')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '1.4 baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
			
		"Widgets"
		spec				
			package: 'JQWidgetBox-UILayout-Core' with: [ spec requires: 'JQWidgetBox-Core' ].
		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-UILayout-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ].
		
		"Widgets"
		spec group: 'Widgets' with: #('JQWidgetBox-UILayout-Core').
					
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-UILayout-Dev' ). 
		].	
 

		

! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'dkh 7/19/2011 18:32'!
baseline15: spec 
	<version: '1.5-baseline' imports: #('1.4-baseline')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '1.5 baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
			
		"Widgets"
		spec				
			package: 'JQWidgetBox-MbMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Timepickr-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Tablesorter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].									
		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-MbMenu-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Timepickr-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Tablesorter-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-FullCalendar-Dev-Example' with: [ spec requires: 'JQWidgetBox-Dev' ].									
		
		"Widgets"
		spec group: 'Widgets' with: #('JQWidgetBox-MbMenu-Core' 'JQWidgetBox-Timepickr-Core' 'JQWidgetBox-Tablesorter-Core' 'JQWidgetBox-FullCalendar-Core').
					
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-MbMenu-Dev' 'JQWidgetBox-Timepickr-Dev' 'JQWidgetBox-Tablesorter-Dev'  'JQWidgetBox-FullCalendar-Dev-Example'). 
		].	
 

		

! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'dkh 7/19/2011 21:03'!
baseline20: spec 
	<version: '2.0-baseline' imports: #('1.4-baseline')>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: '2.0 baseline for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
			
		"Widgets"
		spec				
			package: 'JQWidgetBox-ShadowAnimation-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Farbtastic-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-TimeSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ].	 						
		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Farbtastic-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-TimeSlider-Dev' with: [ spec requires: #('JQWidgetBox-TimeSlider-Core' 'JQWidgetBox-Dev') ].
			 								
		
		"Widgets"
		spec group: 'Widgets' with: #('JQWidgetBox-ShadowAnimation-Core'  'JQWidgetBox-Farbtastic-Core' 'JQWidgetBox-TimeSlider-Core').
					
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-ShadowAnimation-Dev'  'JQWidgetBox-Farbtastic-Dev' 'JQWidgetBox-TimeSlider-Dev'). 

"1.5-baseline in-line"

		"Widgets"
		spec				
			package: 'JQWidgetBox-MbMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Timepickr-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Tablesorter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].									
		"Widgets Tests and Examples"			
		spec
			package: 'JQWidgetBox-MbMenu-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Timepickr-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Tablesorter-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-FullCalendar-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ].									
		
		"Widgets"
		spec group: 'Widgets' with: #('JQWidgetBox-MbMenu-Core' 'JQWidgetBox-Timepickr-Core' 'JQWidgetBox-Tablesorter-Core' 'JQWidgetBox-FullCalendar-Core').
					
		"Widgets Tests and Examples"
		spec group: 'Widgets-Dev' with: #('JQWidgetBox-MbMenu-Dev' 'JQWidgetBox-Timepickr-Dev' 'JQWidgetBox-Tablesorter-Dev'  'JQWidgetBox-FullCalendar-Dev'). 

spec removePackage: 'JQWidgetBox-FullCalendar-Dev-Example'.

		].	
 

		

! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'dkh 7/20/2011 10:17'!
baseline24: spec 
	<version: '2.4-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Collapse baseline20 into a single spec for JQueryWidgetBox'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
		spec
			project: 'Seaside30' 
			with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #'stable';
					loads: #('Base' 'JQuery-UI');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];										
			project: 'JQuery Tests' copyFrom: 'Seaside30' with: [
				spec
					loads: #( 'JQuery-Tests-UI' ).].
		spec 
			package: 'JQWidgetBox-Core' with: [ spec requires: 'Seaside30' ];
			package: 'JQWidgetBox-Dev' with: [ spec requires: #('JQWidgetBox-Core'  'JQuery Tests' )].

		spec				
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-AlphaNumeric-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Autocomplete-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-BubbleTip-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Calculator-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-CheckTree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Cycle-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-DropShadow-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-EpiClock-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FancyBox-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Farbtastic-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Fisheye-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FontEffect-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FormExample-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Growl-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-HoverIntent-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ImageDropDown-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-InnerFade-Core' with: [ spec requires: 'JQWidgetBox-Core' ];										
			package: 'JQWidgetBox-JEditable-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQGrid-Core' with: [spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-MbMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-PageFold-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Reflection-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ShadowAnimation-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-Sheet-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Spinner-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Splitter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Stars-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Tablesorter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-Timepickr-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-TimeSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	 									
			package: 'JQWidgetBox-UILayout-Core' with: [ spec requires: 'JQWidgetBox-Core' ];		
			package: 'JQWidgetBox-WeekCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].
																							
		spec	
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AccessibleNewsSlider-Core') ];
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AlphaNumeric-Core') ];
			package: 'JQWidgetBox-Autocomplete-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Autocomplete-Core') ];
			package: 'JQWidgetBox-BubbleTip-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-BubbleTip-Core') ];						
			package: 'JQWidgetBox-Calculator-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Calculator-Core') ];			
			package: 'JQWidgetBox-CheckTree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-CheckTree-Core') ];			
			package: 'JQWidgetBox-Cycle-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Cycle-Core') ];			
			package: 'JQWidgetBox-DropShadow-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-DropShadow-Core') ];
			package: 'JQWidgetBox-EpiClock-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-EpiClock-Core') ];
			package: 'JQWidgetBox-FancyBox-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FancyBox-Core') ];
			package: 'JQWidgetBox-Farbtastic-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Fisheye-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Fisheye-Core') ];
			package: 'JQWidgetBox-FontEffect-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FontEffect-Core') ];
			package: 'JQWidgetBox-FormExample-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FormExample-Core') ];
			package: 'JQWidgetBox-FullCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FullCalendar-Core') ];		
			package: 'JQWidgetBox-Growl-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Growl-Core') ];			
			package: 'JQWidgetBox-HoverIntent-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-HoverIntent-Core') ];
			package: 'JQWidgetBox-ImageDropDown-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-ImageDropDown-Core') ];
			package: 'JQWidgetBox-InnerFade-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-InnerFade-Core') ];
			package: 'JQWidgetBox-JEditable-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JEditable-Core') ];
			package: 'JQWidgetBox-JQGrid-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQGrid-Core') ];
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQTools-Tabs-Core') ];	
			package: 'JQWidgetBox-MbMenu-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];		
			package: 'JQWidgetBox-PageFold-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-PageFold-Core') ];						
			package: 'JQWidgetBox-Reflection-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Reflection-Core') ];	
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];														
			package: 'JQWidgetBox-Sheet-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Sheet-Core') ];			
			package: 'JQWidgetBox-Spinner-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Spinner-Core') ];
			package: 'JQWidgetBox-Splitter-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Splitter-Core') ];	
			package: 'JQWidgetBox-Stars-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Stars-Core') ];	
			package: 'JQWidgetBox-Tablesorter-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Timepickr-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-TimeSlider-Dev' with: [ spec requires: #('JQWidgetBox-TimeSlider-Core' 'JQWidgetBox-Dev') ];
			package: 'JQWidgetBox-UILayout-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];										
			package: 'JQWidgetBox-WeekCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-WeekCalendar-Core') ].
			
		spec
			group: 'default' with: #('All');
			group: 'All' with: #('Core' 'Widgets' 'Dev' 'Widgets-Dev').
			
		spec
			group: 'Core' with: #('JQWidgetBox-Core').
		spec
			group: 'Widgets' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Core' 
				'JQWidgetBox-AlphaNumeric-Core'
				'JQWidgetBox-Autocomplete-Core'
				'JQWidgetBox-BubbleTip-Core'				
				'JQWidgetBox-Calculator-Core'
				'JQWidgetBox-CheckTree-Core'
				'JQWidgetBox-Cycle-Core'
				'JQWidgetBox-DropShadow-Core'
				'JQWidgetBox-EpiClock-Core' 'JQWidgetBox-FancyBox-Core'  'JQWidgetBox-Farbtastic-Core' 
				'JQWidgetBox-Fisheye-Core'
				'JQWidgetBox-FontEffect-Core'
				'JQWidgetBox-FormExample-Core' 'JQWidgetBox-FullCalendar-Core' 
				'JQWidgetBox-Growl-Core'				
				'JQWidgetBox-HoverIntent-Core'
				'JQWidgetBox-ImageDropDown-Core'
				'JQWidgetBox-InnerFade-Core'
				'JQWidgetBox-JEditable-Core'
				'JQWidgetBox-JQGrid-Core'
				'JQWidgetBox-JQTools-Tabs-Core' 'JQWidgetBox-MbMenu-Core' 				
				'JQWidgetBox-PageFold-Core'				
				'JQWidgetBox-Reflection-Core' 'JQWidgetBox-ShadowAnimation-Core'								
				'JQWidgetBox-Sheet-Core'
				'JQWidgetBox-Spinner-Core'
				'JQWidgetBox-Splitter-Core'
				'JQWidgetBox-Stars-Core' 'JQWidgetBox-Timepickr-Core' 'JQWidgetBox-Tablesorter-Core' 'JQWidgetBox-TimeSlider-Core' 'JQWidgetBox-UILayout-Core'
				'JQWidgetBox-WeekCalendar-Core'	).
					
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		spec group: 'Widgets-Dev' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Dev' 
				'JQWidgetBox-AlphaNumeric-Dev' 
				'JQWidgetBox-Autocomplete-Dev'
				'JQWidgetBox-BubbleTip-Dev'				
				'JQWidgetBox-Calculator-Dev'
				'JQWidgetBox-CheckTree-Dev'
				'JQWidgetBox-Cycle-Dev'
				'JQWidgetBox-DropShadow-Dev'
				'JQWidgetBox-EpiClock-Dev' 'JQWidgetBox-FancyBox-Dev'  'JQWidgetBox-Farbtastic-Dev'
				'JQWidgetBox-Fisheye-Dev'
				'JQWidgetBox-FontEffect-Dev'
				'JQWidgetBox-FormExample-Dev' 'JQWidgetBox-FullCalendar-Dev' 
				'JQWidgetBox-Growl-Dev'				
				'JQWidgetBox-HoverIntent-Dev'
				'JQWidgetBox-ImageDropDown-Dev'
				'JQWidgetBox-InnerFade-Dev'
				'JQWidgetBox-JEditable-Dev'
				'JQWidgetBox-JQGrid-Dev'
				'JQWidgetBox-JQTools-Tabs-Dev' 'JQWidgetBox-MbMenu-Dev'
				'JQWidgetBox-PageFold-Dev'				
				'JQWidgetBox-Reflection-Dev'  'JQWidgetBox-ShadowAnimation-Dev'									
				'JQWidgetBox-Sheet-Dev'
				'JQWidgetBox-Spinner-Dev'
				'JQWidgetBox-Splitter-Dev'
				'JQWidgetBox-Stars-Dev' 'JQWidgetBox-Timepickr-Dev' 'JQWidgetBox-Tablesorter-Dev' 'JQWidgetBox-TimeSlider-Dev' 'JQWidgetBox-UILayout-Dev'
				'JQWidgetBox-WeekCalendar-Dev').			
	].	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'tbn 8/17/2011 15:48'!
baseline26: spec 
	<version: '2.6-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Add new widgets'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
		spec
			project: 'Seaside30' 
			with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #'stable';
					loads: #('Base' 'JQuery-UI');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];										
			project: 'JQuery Tests' copyFrom: 'Seaside30' with: [
				spec
					loads: #( 'JQuery-Tests-UI' ).].
		spec 
			package: 'JQWidgetBox-Core' with: [ spec requires: 'Seaside30' ];
			package: 'JQWidgetBox-Dev' with: [ spec requires: #('JQWidgetBox-Core'  'JQuery Tests' )].

		spec				
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-AlphaNumeric-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Autocomplete-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-BubbleTip-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Calculator-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-CheckTree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Cycle-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-DropShadow-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Dynatree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-EpiClock-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FancyBox-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Farbtastic-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Fisheye-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FontEffect-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FormExample-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Growl-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-HoverIntent-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ImageDropDown-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-InnerFade-Core' with: [ spec requires: 'JQWidgetBox-Core' ];										
			package: 'JQWidgetBox-JEditable-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQGrid-Core' with: [spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-MbMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-PageFold-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Reflection-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ShadowAnimation-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-Sheet-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Spinner-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Splitter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Stars-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Tablesorter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-Timepickr-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-TimeSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	 									
			package: 'JQWidgetBox-UILayout-Core' with: [ spec requires: 'JQWidgetBox-Core' ];		
			package: 'JQWidgetBox-WeekCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].
																										
		spec	
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AccessibleNewsSlider-Core') ];
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AlphaNumeric-Core') ];
			package: 'JQWidgetBox-Autocomplete-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Autocomplete-Core') ];
			package: 'JQWidgetBox-BubbleTip-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-BubbleTip-Core') ];						
			package: 'JQWidgetBox-Calculator-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Calculator-Core') ];			
			package: 'JQWidgetBox-CheckTree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-CheckTree-Core') ];			
			package: 'JQWidgetBox-Cycle-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Cycle-Core') ];			
			package: 'JQWidgetBox-DropShadow-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-DropShadow-Core') ];
			package: 'JQWidgetBox-Dynatree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Dynatree-Core') ];				
			package: 'JQWidgetBox-EpiClock-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-EpiClock-Core') ];
			package: 'JQWidgetBox-FancyBox-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FancyBox-Core') ];
			package: 'JQWidgetBox-Farbtastic-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Fisheye-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Fisheye-Core') ];
			package: 'JQWidgetBox-FontEffect-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FontEffect-Core') ];
			package: 'JQWidgetBox-FormExample-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FormExample-Core') ];
			package: 'JQWidgetBox-FullCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FullCalendar-Core') ];		
			package: 'JQWidgetBox-Growl-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Growl-Core') ];			
			package: 'JQWidgetBox-HoverIntent-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-HoverIntent-Core') ];
			package: 'JQWidgetBox-ImageDropDown-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-ImageDropDown-Core') ];
			package: 'JQWidgetBox-InnerFade-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-InnerFade-Core') ];
			package: 'JQWidgetBox-JEditable-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JEditable-Core') ];
			package: 'JQWidgetBox-JQGrid-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQGrid-Core') ];
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQTools-Tabs-Core') ];	
			package: 'JQWidgetBox-MbMenu-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];		
			package: 'JQWidgetBox-PageFold-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-PageFold-Core') ];						
			package: 'JQWidgetBox-Reflection-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Reflection-Core') ];	
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];														
			package: 'JQWidgetBox-Sheet-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Sheet-Core') ];			
			package: 'JQWidgetBox-Spinner-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Spinner-Core') ];
			package: 'JQWidgetBox-Splitter-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Splitter-Core') ];	
			package: 'JQWidgetBox-Stars-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Stars-Core') ];	
			package: 'JQWidgetBox-Tablesorter-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Timepickr-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-TimeSlider-Dev' with: [ spec requires: #('JQWidgetBox-TimeSlider-Core' 'JQWidgetBox-Dev') ];
			package: 'JQWidgetBox-UILayout-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];										
			package: 'JQWidgetBox-WeekCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-WeekCalendar-Core') ].					

		spec
			group: 'default' with: #('All');
			group: 'All' with: #('Core' 'Widgets' 'Dev' 'Widgets-Dev').
			
		spec
			group: 'Core' with: #('JQWidgetBox-Core').
		spec
			group: 'Widgets' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Core' 
				'JQWidgetBox-AlphaNumeric-Core'
				'JQWidgetBox-Autocomplete-Core'
				'JQWidgetBox-BubbleTip-Core'				
				'JQWidgetBox-Calculator-Core'
				'JQWidgetBox-CheckTree-Core'
				'JQWidgetBox-Cycle-Core'
				'JQWidgetBox-DropShadow-Core'
				'JQWidgetBox-Dynatree-Core'
				'JQWidgetBox-EpiClock-Core' 
				'JQWidgetBox-FancyBox-Core'  
				'JQWidgetBox-Farbtastic-Core' 
				'JQWidgetBox-Fisheye-Core'
				'JQWidgetBox-FontEffect-Core'
				'JQWidgetBox-FormExample-Core' 
				'JQWidgetBox-FullCalendar-Core' 
				'JQWidgetBox-Growl-Core'				
				'JQWidgetBox-HoverIntent-Core'
				'JQWidgetBox-ImageDropDown-Core'
				'JQWidgetBox-InnerFade-Core'
				'JQWidgetBox-JEditable-Core'
				'JQWidgetBox-JQGrid-Core'
				'JQWidgetBox-JQTools-Tabs-Core' 
				'JQWidgetBox-MbMenu-Core' 				
				'JQWidgetBox-PageFold-Core'				
				'JQWidgetBox-Reflection-Core' 
				'JQWidgetBox-ShadowAnimation-Core'								
				'JQWidgetBox-Sheet-Core'
				'JQWidgetBox-Spinner-Core'
				'JQWidgetBox-Splitter-Core'
				'JQWidgetBox-Stars-Core' 
				'JQWidgetBox-Timepickr-Core' 
				'JQWidgetBox-Tablesorter-Core' 
				'JQWidgetBox-TimeSlider-Core' 
				'JQWidgetBox-UILayout-Core'
				'JQWidgetBox-WeekCalendar-Core'	).
					
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		spec group: 'Widgets-Dev' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Dev' 
				'JQWidgetBox-AlphaNumeric-Dev' 
				'JQWidgetBox-Autocomplete-Dev'
				'JQWidgetBox-BubbleTip-Dev'				
				'JQWidgetBox-Calculator-Dev'
				'JQWidgetBox-CheckTree-Dev'
				'JQWidgetBox-Cycle-Dev'
				'JQWidgetBox-DropShadow-Dev'	
				'JQWidgetBox-Dynatree-Dev'
				'JQWidgetBox-EpiClock-Dev' 
				'JQWidgetBox-FancyBox-Dev'  
				'JQWidgetBox-Farbtastic-Dev'
				'JQWidgetBox-Fisheye-Dev'
				'JQWidgetBox-FontEffect-Dev'
				'JQWidgetBox-FormExample-Dev' 
				'JQWidgetBox-FullCalendar-Dev' 
				'JQWidgetBox-Growl-Dev'				
				'JQWidgetBox-HoverIntent-Dev'
				'JQWidgetBox-ImageDropDown-Dev'
				'JQWidgetBox-InnerFade-Dev'
				'JQWidgetBox-JEditable-Dev'
				'JQWidgetBox-JQGrid-Dev'
				'JQWidgetBox-JQTools-Tabs-Dev' 
				'JQWidgetBox-MbMenu-Dev'
				'JQWidgetBox-PageFold-Dev'				
				'JQWidgetBox-Reflection-Dev'  
				'JQWidgetBox-ShadowAnimation-Dev'									
				'JQWidgetBox-Sheet-Dev'
				'JQWidgetBox-Spinner-Dev'
				'JQWidgetBox-Splitter-Dev'
				'JQWidgetBox-Stars-Dev' 
				'JQWidgetBox-Timepickr-Dev' 
				'JQWidgetBox-Tablesorter-Dev' 
				'JQWidgetBox-TimeSlider-Dev' 
				'JQWidgetBox-UILayout-Dev'
				'JQWidgetBox-WeekCalendar-Dev').			
	].	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'baselines' stamp: 'GastonDallOglio 4/5/2012 11:22'!
baseline27: spec 
	<version: '2.7-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Add new widgets'.
		spec repository: 'http://www.squeaksource.com/JQueryWidgetBox'.
		spec postLoadDoIt:	 #initExamples.
		spec
			project: 'Seaside30' 
			with: [
				spec
					className: 'ConfigurationOfSeaside30';
					versionString: #'stable';
					loads: #('Base' 'JQuery-UI');
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];										
			project: 'JQuery Tests' copyFrom: 'Seaside30' with: [
				spec
					loads: #( 'JQuery-Tests-UI' ).].
		spec 
			package: 'JQWidgetBox-Core' with: [ spec requires: 'Seaside30' ];
			package: 'JQWidgetBox-Dev' with: [ spec requires: #('JQWidgetBox-Core'  'JQuery Tests' )].

		spec				
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-AlphaNumeric-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Autocomplete-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-BubbleTip-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-Calculator-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-CheckTree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Cycle-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-DropShadow-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Dynatree-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-EpiClock-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FancyBox-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Farbtastic-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Fisheye-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FontEffect-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FormExample-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-FullCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Growl-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-HoverIntent-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ImageDropDown-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-InnerFade-Core' with: [ spec requires: 'JQWidgetBox-Core' ];										
			package: 'JQWidgetBox-JEditable-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQGrid-Core' with: [spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-MapQuery-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-MbMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];			
			package: 'JQWidgetBox-PageFold-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Reflection-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-RegisteredInterval-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-SelectMenu-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-ShadowAnimation-Core' with: [ spec requires: 'JQWidgetBox-Core' ];					
			package: 'JQWidgetBox-Sheet-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	
			package: 'JQWidgetBox-Spinner-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Splitter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Stars-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-Tablesorter-Core' with: [ spec requires: 'JQWidgetBox-Core' ];						
			package: 'JQWidgetBox-Timepickr-Core' with: [ spec requires: 'JQWidgetBox-Core' ];
			package: 'JQWidgetBox-TimeSlider-Core' with: [ spec requires: 'JQWidgetBox-Core' ];	 									
			package: 'JQWidgetBox-UILayout-Core' with: [ spec requires: 'JQWidgetBox-Core' ];		
			package: 'JQWidgetBox-WeekCalendar-Core' with: [ spec requires: 'JQWidgetBox-Core' ].
																										
		spec	
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AccessibleNewsSlider-Core') ];
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-AlphaNumeric-Core') ];
			package: 'JQWidgetBox-Autocomplete-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Autocomplete-Core') ];
			package: 'JQWidgetBox-BubbleTip-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-BubbleTip-Core') ];						
			package: 'JQWidgetBox-Calculator-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Calculator-Core') ];			
			package: 'JQWidgetBox-CheckTree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-CheckTree-Core') ];			
			package: 'JQWidgetBox-Cycle-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Cycle-Core') ];			
			package: 'JQWidgetBox-DropShadow-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-DropShadow-Core') ];
			package: 'JQWidgetBox-Dynatree-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Dynatree-Core') ];				
			package: 'JQWidgetBox-EpiClock-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-EpiClock-Core') ];
			package: 'JQWidgetBox-FancyBox-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FancyBox-Core') ];
			package: 'JQWidgetBox-Farbtastic-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Fisheye-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Fisheye-Core') ];
			package: 'JQWidgetBox-FontEffect-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FontEffect-Core') ];
			package: 'JQWidgetBox-FormExample-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FormExample-Core') ];
			package: 'JQWidgetBox-FullCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-FullCalendar-Core') ];		
			package: 'JQWidgetBox-Growl-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Growl-Core') ];			
			package: 'JQWidgetBox-HoverIntent-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-HoverIntent-Core') ];
			package: 'JQWidgetBox-ImageDropDown-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-ImageDropDown-Core') ];
			package: 'JQWidgetBox-InnerFade-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-InnerFade-Core') ];
			package: 'JQWidgetBox-JEditable-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JEditable-Core') ];
			package: 'JQWidgetBox-JQGrid-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQGrid-Core') ];
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-JQTools-Tabs-Core') ];	
			package: 'JQWidgetBox-MapQuery-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];		
			package: 'JQWidgetBox-MbMenu-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];		
			package: 'JQWidgetBox-PageFold-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-PageFold-Core') ];						
			package: 'JQWidgetBox-Reflection-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Reflection-Core') ];	
			package: 'JQWidgetBox-RegisteredInterval-Example' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-RegisteredInterval-Core') ];	
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];														
			package: 'JQWidgetBox-Sheet-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Sheet-Core') ];			
			package: 'JQWidgetBox-Spinner-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Spinner-Core') ];
			package: 'JQWidgetBox-Splitter-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Splitter-Core') ];	
			package: 'JQWidgetBox-Stars-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-Stars-Core') ];	
			package: 'JQWidgetBox-Tablesorter-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-Timepickr-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];
			package: 'JQWidgetBox-TimeSlider-Dev' with: [ spec requires: #('JQWidgetBox-TimeSlider-Core' 'JQWidgetBox-Dev') ];
			package: 'JQWidgetBox-UILayout-Dev' with: [ spec requires: 'JQWidgetBox-Dev' ];										
			package: 'JQWidgetBox-WeekCalendar-Dev' with: [ spec requires: #('JQWidgetBox-Dev' 'JQWidgetBox-WeekCalendar-Core') ].					

		spec
			group: 'default' with: #('All');
			group: 'All' with: #('Core' 'Widgets' 'Dev' 'Widgets-Dev').
			
		spec
			group: 'Core' with: #('JQWidgetBox-Core').
		spec
			group: 'Widgets' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Core' 
				'JQWidgetBox-AlphaNumeric-Core'
				'JQWidgetBox-Autocomplete-Core'
				'JQWidgetBox-BubbleTip-Core'				
				'JQWidgetBox-Calculator-Core'
				'JQWidgetBox-CheckTree-Core'
				'JQWidgetBox-Cycle-Core'
				'JQWidgetBox-DropShadow-Core'
				'JQWidgetBox-Dynatree-Core'
				'JQWidgetBox-EpiClock-Core' 
				'JQWidgetBox-FancyBox-Core'  
				'JQWidgetBox-Farbtastic-Core' 
				'JQWidgetBox-Fisheye-Core'
				'JQWidgetBox-FontEffect-Core'
				'JQWidgetBox-FormExample-Core' 
				'JQWidgetBox-FullCalendar-Core' 
				'JQWidgetBox-Growl-Core'				
				'JQWidgetBox-HoverIntent-Core'
				'JQWidgetBox-ImageDropDown-Core'
				'JQWidgetBox-InnerFade-Core'
				'JQWidgetBox-JEditable-Core'
				'JQWidgetBox-JQGrid-Core'
				'JQWidgetBox-JQTools-Tabs-Core' 
				'JQWidgetBox-MapQuery-Core' 				
				'JQWidgetBox-MbMenu-Core' 				
				'JQWidgetBox-PageFold-Core'				
				'JQWidgetBox-Reflection-Core' 
				'JQWidgetBox-RegisteredInterval-Core' 
				'JQWidgetBox-SelectMenu-Core' 
				'JQWidgetBox-ShadowAnimation-Core'								
				'JQWidgetBox-Sheet-Core'
				'JQWidgetBox-Spinner-Core'
				'JQWidgetBox-Splitter-Core'
				'JQWidgetBox-Stars-Core' 
				'JQWidgetBox-Timepickr-Core' 
				'JQWidgetBox-Tablesorter-Core' 
				'JQWidgetBox-TimeSlider-Core' 
				'JQWidgetBox-UILayout-Core'
				'JQWidgetBox-WeekCalendar-Core'	).
					
		spec 			
			group: 'Dev' with: #('JQWidgetBox-Dev').
		spec group: 'Widgets-Dev' with: #(
				'JQWidgetBox-AccessibleNewsSlider-Dev' 
				'JQWidgetBox-AlphaNumeric-Dev' 
				'JQWidgetBox-Autocomplete-Dev'
				'JQWidgetBox-BubbleTip-Dev'				
				'JQWidgetBox-Calculator-Dev'
				'JQWidgetBox-CheckTree-Dev'
				'JQWidgetBox-Cycle-Dev'
				'JQWidgetBox-DropShadow-Dev'	
				'JQWidgetBox-Dynatree-Dev'
				'JQWidgetBox-EpiClock-Dev' 
				'JQWidgetBox-FancyBox-Dev'  
				'JQWidgetBox-Farbtastic-Dev'
				'JQWidgetBox-Fisheye-Dev'
				'JQWidgetBox-FontEffect-Dev'
				'JQWidgetBox-FormExample-Dev' 
				'JQWidgetBox-FullCalendar-Dev' 
				'JQWidgetBox-Growl-Dev'				
				'JQWidgetBox-HoverIntent-Dev'
				'JQWidgetBox-ImageDropDown-Dev'
				'JQWidgetBox-InnerFade-Dev'
				'JQWidgetBox-JEditable-Dev'
				'JQWidgetBox-JQGrid-Dev'
				'JQWidgetBox-JQTools-Tabs-Dev' 
				'JQWidgetBox-MapQuery-Dev'
				'JQWidgetBox-MbMenu-Dev'
				'JQWidgetBox-PageFold-Dev'				
				'JQWidgetBox-Reflection-Dev'  
				'JQWidgetBox-RegisteredInterval-Example'  
				'JQWidgetBox-ShadowAnimation-Dev'									
				'JQWidgetBox-Sheet-Dev'
				'JQWidgetBox-Spinner-Dev'
				'JQWidgetBox-Splitter-Dev'
				'JQWidgetBox-Stars-Dev' 
				'JQWidgetBox-Timepickr-Dev' 
				'JQWidgetBox-Tablesorter-Dev' 
				'JQWidgetBox-TimeSlider-Dev' 
				'JQWidgetBox-UILayout-Dev'
				'JQWidgetBox-WeekCalendar-Dev').			
	].	
 
		
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'doits' stamp: 'tbn 1/14/2010 14:06'!
initExamples				
	|examplesSuperclass|			
	examplesSuperclass := (Smalltalk at: #JQWidgetExample ifAbsent: []).
	examplesSuperclass notNil ifTrue: [examplesSuperclass initialize]
! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'accessing' stamp: 'tbn 1/12/2010 14:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'PaulDeBruicker 1/10/2013 10:42'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #common version: '2.7'! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 8/5/2010 10:27'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'First release 1.0 of this project '.
		spec 
			project: 'Seaside30' with: '3.0.0-alpha5.5'.	
		spec 
		      "Core packages"
			package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
			"Widgets"
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
			package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';			
			package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';			
			package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';									
			package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.1';									
			package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
			package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.2';
			package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';					
			package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';	
			package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';					
			package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';	
			package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';					
			package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';										
			package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';	
			package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';	
			package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';					
			package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';	
			package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-BartGauquie.1';	
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';					
			package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';					
			package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';													
			package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';	
			package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-JohnToohey.1';	
			package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';	
			package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.2';																									
			
			"Dev/Test support"
			package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.4';			 						
			"Widgets Tests and Examples"			
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-NickAger.4';
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
			package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
			package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';				
			package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';	
			package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.2';				
			package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.3';				
			package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-NickAger.2';
			package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.1';							
			package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.2';
			package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.1';
			package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
			package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.2';			
			package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.1';
			package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-NickAger.2';
			package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-NickAger.2';
			package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';
			package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-BartGauquie.1';
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';			
			package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-NickAger.2';	
			package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.1';					
			package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-NickAger.2';
			package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-NickAger.2';			
			package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-NickAger.2';
			package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.3'.
		].
	
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 4/19/2010 09:41'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'Second release with updated seaside'.
		spec 
			project: 'Seaside30' with: '3.0.0-alpha5.11'.	
		spec 
			package: 'JQWidgetBox-Stars-Core'	 with: 'JQWidgetBox-Stars-Core-NickAger.1';
			package: 'JQWidgetBox-Stars-Dev'	 with: 'JQWidgetBox-Stars-Dev-NickAger.3'.
		].
	
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'tbn 5/19/2010 23:43'!
version12: spec
	<version: '1.2' imports: #('1.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Torsten Bergmann'.
		spec description: 'Third release with updated seaside'.
		spec 
			project: 'Seaside30' with: '3.0.0-alpha5.13'.			
		].
	
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 11/10/2010 15:33'!
version13: spec
	<version: '1.3' imports: #('1.3-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'DaleHenrichs'.
		spec description: 'Updated with latest Seaside - note changes to what is loaded from Seaside3.0 (no longer loading all of Seaside)'.
		spec 
			project: 'Seaside30' with: '3.0.0-alpha5.15';
			project: 'JQuery Tests' with: '3.0.0-alpha5.15'.
			
		spec 
			package: 'JQWidgetBox-FancyBox-Core'	 with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
			package: 'JQWidgetBox-FancyBox-Dev'	 with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
			package: 'JQWidgetBox-UILayout-Core'	 with: 'JQWidgetBox-UILayout-Core-obi.2';
			package: 'JQWidgetBox-UILayout-Dev'	 with: 'JQWidgetBox-UILayout-Dev-obi.8';
			package:'JQWidgetBox-FullCalendar-Core' with:'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.12';	
			package:'JQWidgetBox-FullCalendar-Dev-Example' with:'JQWidgetBox-FullCalendar-Dev-Example-PaulDeBruicker.10';
			package: 'JQWidgetBox-Stars-Core'	 with: 'JQWidgetBox-Stars-Core-NickAger.2';
			package: 'JQWidgetBox-Stars-Dev'	 with: 'JQWidgetBox-Stars-Dev-NickAger.5'.].
	
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'DaleHenrichs 9/22/2010 12:12'!
version14: spec
	<version: '1.4' imports: #('1.4-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'Switch to Seaside 3.0release'.
		spec 
			project: 'Seaside30' with: '3.0.0-alpha5.15';
			project: 'JQuery Tests' with: '3.0.0-alpha5.15'.
			
		spec 
			package: 'JQWidgetBox-UILayout-Core'	 with: 'JQWidgetBox-UILayout-Core-obi.2';
			package: 'JQWidgetBox-UILayout-Dev'	 with: 'JQWidgetBox-UILayout-Dev-obi.8' ].
	
	! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 7/19/2011 20:50'!
version15: spec
	<version: '1.5' imports: #('1.5-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'Switch to Seaside 3.0release'.
		
		"Use new Seaside 3.0 Release"
		spec 
			project: 'Seaside30' with: '3.0.0-rc';
			project: 'JQuery Tests' with: '3.0.0-rc'.
		
		"Updated packages for Seaside 3.0"
		spec 
			package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
			package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';	
			package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
			package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3'.
					
		"Fixed test packages for Seaside 3.0"
		spec 
			package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';			
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
			package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';			
			package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
			package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';									
			package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';				
			package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';													
			package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';
			package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';	
			package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
			package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';			
			package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';	
			package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
			package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';					
			package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';
			package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';	
			package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
			package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';					
			package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';
			package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';	
			package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
			package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';					
			package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
			package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';	
			package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
			package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';					
			package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';			
			package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4';
			package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';	
			package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';
			package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';					
			package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';
			package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-tbn.4';
			package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
			package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
			package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';	
			package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';	
			package: 'JQWidgetBox-FancyBox-Core'	 with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
			package: 'JQWidgetBox-FancyBox-Dev'	 with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
			package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';										
			package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
			package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';	
			package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';					
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';			
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5'.
							
		"Updates"	
		spec 		
			package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
			package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.6';
			package: 'JQWidgetBox-UILayout-Core'	 with: 'JQWidgetBox-UILayout-Core-obi.2';
			package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9'.
				
		"New widgets"		
		spec		
			package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';										
			package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';
			package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';										
			package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
			package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';										
			package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2';
			package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.16';										
			package: 'JQWidgetBox-FullCalendar-Dev-Example' with: 'JQWidgetBox-FullCalendar-Dev-Example-PaulDeBruicker.10'.																																							
																																									
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'tbn 11/16/2010 15:50'!
version16: spec
	<version: '1.6' imports: #('1.5')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'Switch to Seaside 3.0.1 release'.
		
		"Use new Seaside 3.0.1 Release"
		spec 
			project: 'Seaside30' with: '3.0.1';
			project: 'JQuery Tests' with: '3.0.1'.			 																																					
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 11/22/2010 14:05'!
version17: spec
	<version: '1.7' imports: #('1.6')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'Include a later version of JQCycle '.
		
		"Grab latest JQCycle"
		spec 
			package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3'		 																																					
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 7/19/2011 20:49'!
version18: spec
	<version: '1.8' imports: #('1.7')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'Include latest Seaside 3.03. as in Pharo 1.2'.
		
		"Grab latest Seaside for Pharo 1.2"
		spec 
			project: 'JQuery Tests' with: '3.0.3';	 																																				
			project: 'Seaside30' with: '3.0.3'	 																																				
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 2/7/2011 17:52'!
version19: spec
	<version: '1.9' imports: #('1.8')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'Include a later version of JQStars and a fix for widget initialization when a widget includes custom initialization'.
		
		"Grab latest JQStars"
		spec 
			package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.3'	;
			package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.6';
			package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-NickAger.7'																																					
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 7/19/2011 20:58'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline')>
	
	"
	(self project version: '2.0') load
	"
	spec for: #common do: [
		spec blessing: #development.
		spec author: 'TorstenBergmann'.
		spec description: 'Include a newer initialization fix and shadow animation widget'.
				 
		spec 
			package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.25';
			package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.2';
			package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-PaulDeBruicker.1';
			package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
			package: 'JQWidgetBox-ShadowAnimation-Core' with: 'JQWidgetBox-ShadowAnimation-Core-tbn.1'	;
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: 'JQWidgetBox-ShadowAnimation-Dev-tbn.1';
			package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';
			package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
			package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.8'	.
				
		spec 
			project: 'Seaside30' with: '3.0.5';	 																																								
			project: 'JQuery Tests' with: '3.0.5'.
"-----1.5-----"
		spec 
			package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
			package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';	
			package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
			package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3'.
		spec 
			package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';			
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
			package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';			
			package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
			package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';									
			package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';				
			package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';													
			package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';
			package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';	
			package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
			package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';			
			package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';	
			package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
			package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';					
			package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';
			package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';	
			package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
			package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';					
			package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';
			package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';	
			package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
			package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';					
			package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
			package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';	
			package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
			package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';					
			package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';			
			package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4';
			package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';	
			package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';
			package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';					
			package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';
			package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-tbn.4';
			package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
			package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
			package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';	
			package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';	
			package: 'JQWidgetBox-FancyBox-Core'	 with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
			package: 'JQWidgetBox-FancyBox-Dev'	 with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
			package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';										
			package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
			package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';	
			package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';					
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';			
			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5'.				
		spec 		
			package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
			package: 'JQWidgetBox-UILayout-Core'	 with: 'JQWidgetBox-UILayout-Core-obi.2';
			package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9'.
		spec		
			package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';										
			package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';
			package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';										
			package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
			package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';										
			package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2'.
"-----1.7-----"
		spec 
			package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3'.
"-----1.9-----"
		spec 
			package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.3'	;
			package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.6'.
	]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 4/30/2011 16:24'!
version21: spec
	<version: '2.1' imports: #('2.0')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'Added two new examples to JQStars to show how to respond to clicks on the stars'.
		
		"Grab latest JQStars"
		spec 
			package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.7' ]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'NickAger 6/29/2011 15:27'!
version22: spec
	<version: '2.2' imports: #('2.1')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'changed JQCycleExample use of #onComplete to #onSuccess as JQGetJson no longer implements #onComplete'.
		
		"Grab latest JQCycle, FullCalendar, Farbtastic"
		spec 
			package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.5';
			package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.25';
			package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.2';
			package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-PaulDeBruicker.1';
			package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
			yourself. 
			
		"update Seaside version"
		spec project: 'Seaside30' with: #stable ] ! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 7/19/2011 21:04'!
version23: spec
	<version: '2.3' imports: #('2.2')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'NickAger'.
		spec description: 'fix for submiting a form a with a JQWidgetBox-Stars component'.
		
		"Grab latest JQStars, add TimeSlider"
		spec 
			package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.8';
			package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.4';
			package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';
			package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
			yourself ] ! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'dkh 7/19/2011 22:05'!
version24: spec
	<version: '2.4' imports: #('2.4-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'DaleHenrichs'.
		spec description: 'effectively the same as version 2.3...For clarity I think it is best to include all package & project versions in the spec so that it is very clear which versions of packages should be used ... especially when a new baseline is added.'.
		
		spec 
			project: 'Seaside30' with: #'stable';	 																																								
			project: 'JQuery Tests' with: #'stable'.

		spec 
			package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
			package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.8';

			package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
			package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5';			
			package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';			
			package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
			package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';			
			package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';

			package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';									
			package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';	
			
			package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
			package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';
			package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
			package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
			package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3';
			package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.5';

			package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';					
			package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';

			package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';	
			package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';

			package: 'JQWidgetBox-FancyBox-Core' with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
			package: 'JQWidgetBox-FancyBox-Dev' with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
			package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-PaulDeBruicker.1';
			package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
			package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';					
			package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
			package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';	
			package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
			package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';					
			package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';			
			package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.25';
			package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.2';

			package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';										
			package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
			package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';	
			package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';

			package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';	
			package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';	
			package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';	
			package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
			package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';					
			package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';			

			package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';	
			package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
			package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';					
			package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';

			package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';										
			package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';

			package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';					
			package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';

			package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';													
			package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';

			package: 'JQWidgetBox-ShadowAnimation-Core' with: 'JQWidgetBox-ShadowAnimation-Core-tbn.1'	;
			package: 'JQWidgetBox-ShadowAnimation-Dev' with: 'JQWidgetBox-ShadowAnimation-Dev-tbn.1';
			package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';	
			package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
			package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
			package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';
			package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';	
			package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
			package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.4';
			package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.8';
			
			package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';										
			package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2';
			package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';										
			package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
			package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
			package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';

			package: 'JQWidgetBox-UILayout-Core' with: 'JQWidgetBox-UILayout-Core-obi.2';
			package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9';

			package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3';
			package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4'.
].
! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'PaulDeBruicker 12/16/2011 16:54'!
version25: spec
	<version: '2.5' imports: #('2.4-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #release.
			spec author: 'PaulDeBruicker'.
			spec description: 'updated JQFullCalendar and JQFullCalendarExample.'.
			spec
				project: 'Seaside30' with: #stable;
				project: 'JQuery Tests' with: #stable.
			spec
				package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
				package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.8';
				package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
				package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5';
				package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';
				package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
				package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';
				package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
				package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';
				package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';
				package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
				package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';
				package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
				package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
				package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3';
				package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.5';
				package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';
				package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';
				package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';
				package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';
				package: 'JQWidgetBox-FancyBox-Core' with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
				package: 'JQWidgetBox-FancyBox-Dev' with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
				package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-PaulDeBruicker.1';
				package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
				package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';
				package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
				package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';
				package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
				package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';
				package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';
				package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.31';
				package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.3';
				package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';
				package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
				package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';
				package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';
				package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';
				package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';
				package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';
				package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
				package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';
				package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';
				package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';
				package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
				package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';
				package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';
				package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';
				package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';
				package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';
				package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';
				package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';
				package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';
				package: 'JQWidgetBox-ShadowAnimation-Core' with: 'JQWidgetBox-ShadowAnimation-Core-tbn.1';
				package: 'JQWidgetBox-ShadowAnimation-Dev' with: 'JQWidgetBox-ShadowAnimation-Dev-tbn.1';
				package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';
				package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
				package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
				package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';
				package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';
				package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
				package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.4';
				package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.8';
				package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';
				package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2';
				package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';
				package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
				package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
				package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';
				package: 'JQWidgetBox-UILayout-Core' with: 'JQWidgetBox-UILayout-Core-obi.2';
				package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9';
				package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3';
				package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4' ]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'PaulDeBruicker 12/16/2011 16:54'!
version26: spec
	<version: '2.6' imports: #('2.6-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec author: 'TorstenBergmann'.
			spec description: 'updated Farbtastic, added dynatree.'.
			spec
				project: 'Seaside30' with: #stable;
				project: 'JQuery Tests' with: #stable.
			spec
				package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
				package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.8';
				package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
				package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5';
				package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';
				package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
				package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';
				package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
				package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';
				package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';
				package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
				package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';
				package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
				package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
				package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3';
				package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.5';
				package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';
				package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';
				package: 'JQWidgetBox-Dynatree-Core' with: 'JQWidgetBox-Dynatree-Core-tbn.4';
				package: 'JQWidgetBox-Dynatree-Dev' with: 'JQWidgetBox-Dynatree-Dev-tbn.4';
				package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';
				package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';
				package: 'JQWidgetBox-FancyBox-Core' with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
				package: 'JQWidgetBox-FancyBox-Dev' with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
				package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-tbn.2';
				package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
				package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';
				package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
				package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';
				package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
				package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';
				package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';
				package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.31';
				package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.3';
				package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';
				package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
				package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';
				package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';
				package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';
				package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';
				package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';
				package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
				package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';
				package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';
				package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';
				package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
				package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';
				package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';
				package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';
				package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';
				package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';
				package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';
				package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';
				package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';
				package: 'JQWidgetBox-ShadowAnimation-Core' with: 'JQWidgetBox-ShadowAnimation-Core-tbn.1';
				package: 'JQWidgetBox-ShadowAnimation-Dev' with: 'JQWidgetBox-ShadowAnimation-Dev-tbn.1';
				package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';
				package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
				package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
				package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';
				package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';
				package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
				package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.4';
				package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.8';
				package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';
				package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2';
				package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';
				package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
				package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
				package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';
				package: 'JQWidgetBox-UILayout-Core' with: 'JQWidgetBox-UILayout-Core-obi.2';
				package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9';
				package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3';
				package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4' ]! !

!ConfigurationOfJQueryWidgetBox methodsFor: 'versions' stamp: 'PaulDeBruicker 1/15/2013 16:56'!
version27: spec
	<version: '2.7' imports: #('2.7-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #development.
			spec author: 'GastonDallOglio'.
			spec description: 'added MapQuery, RegisteredInterval and SelectMenu.'.
			spec
				project: 'Seaside30' with: '3.0.7.1';
				project: 'JQuery Tests' with: #stable.
			spec
				package: 'JQWidgetBox-Core' with: 'JQWidgetBox-Core-tbn.2';
				package: 'JQWidgetBox-Dev' with: 'JQWidgetBox-Dev-tbn.8';
				package: 'JQWidgetBox-AccessibleNewsSlider-Core' with: 'JQWidgetBox-AccessibleNewsSlider-Core-tbn.1';
				package: 'JQWidgetBox-AccessibleNewsSlider-Dev' with: 'JQWidgetBox-AccessibleNewsSlider-Dev-tbn.5';
				package: 'JQWidgetBox-AlphaNumeric-Core' with: 'JQWidgetBox-AlphaNumeric-Core-tbn.2';
				package: 'JQWidgetBox-AlphaNumeric-Dev' with: 'JQWidgetBox-AlphaNumeric-Dev-NickAger.3';
				package: 'JQWidgetBox-Autocomplete-Core' with: 'JQWidgetBox-Autocomplete-Core-JohanBrichau.4';
				package: 'JQWidgetBox-Autocomplete-Dev' with: 'JQWidgetBox-Autocomplete-Dev-NickAger.9';
				package: 'JQWidgetBox-BubbleTip-Core' with: 'JQWidgetBox-BubbleTip-Core-NickAger.4';
				package: 'JQWidgetBox-BubbleTip-Dev' with: 'JQWidgetBox-BubbleTip-Dev-NickAger.5';
				package: 'JQWidgetBox-Calculator-Core' with: 'JQWidgetBox-Calculator-Core-tbn.2';
				package: 'JQWidgetBox-Calculator-Dev' with: 'JQWidgetBox-Calculator-Dev-NickAger.3';
				package: 'JQWidgetBox-CheckTree-Core' with: 'JQWidgetBox-CheckTree-Core-tbn.1';
				package: 'JQWidgetBox-CheckTree-Dev' with: 'JQWidgetBox-CheckTree-Dev-tbn.3';
				package: 'JQWidgetBox-Cycle-Core' with: 'JQWidgetBox-Cycle-Core-NickAger.3';
				package: 'JQWidgetBox-Cycle-Dev' with: 'JQWidgetBox-Cycle-Dev-NickAger.5';
				package: 'JQWidgetBox-DropShadow-Core' with: 'JQWidgetBox-DropShadow-Core-tbn.1';
				package: 'JQWidgetBox-DropShadow-Dev' with: 'JQWidgetBox-DropShadow-Dev-tbn.3';
				package: 'JQWidgetBox-Dynatree-Core' with: 'JQWidgetBox-Dynatree-Core-tbn.4';
				package: 'JQWidgetBox-Dynatree-Dev' with: 'JQWidgetBox-Dynatree-Dev-tbn.4';
				package: 'JQWidgetBox-EpiClock-Core' with: 'JQWidgetBox-EpiClock-Core-JohnToohey.3';
				package: 'JQWidgetBox-EpiClock-Dev' with: 'JQWidgetBox-EpiClock-Dev-tbn.2';
				package: 'JQWidgetBox-FancyBox-Core' with: 'JQWidgetBox-FancyBox-Core-FrancoisStephany.3';
				package: 'JQWidgetBox-FancyBox-Dev' with: 'JQWidgetBox-FancyBox-Dev-FrancoisStephany.1';
				package: 'JQWidgetBox-Farbtastic-Core' with: 'JQWidgetBox-Farbtastic-Core-tbn.2';
				package: 'JQWidgetBox-Farbtastic-Dev' with: 'JQWidgetBox-Farbtastic-Dev-PaulDeBruicker.1';
				package: 'JQWidgetBox-Fisheye-Core' with: 'JQWidgetBox-Fisheye-Core-tbn.1';
				package: 'JQWidgetBox-Fisheye-Dev' with: 'JQWidgetBox-Fisheye-Dev-tbn.3';
				package: 'JQWidgetBox-FontEffect-Core' with: 'JQWidgetBox-FontEffect-Core-tbn.1';
				package: 'JQWidgetBox-FontEffect-Dev' with: 'JQWidgetBox-FontEffect-Dev-tbn.2';
				package: 'JQWidgetBox-FormExample-Core' with: 'JQWidgetBox-FormExample-Core-tbn.2';
				package: 'JQWidgetBox-FormExample-Dev' with: 'JQWidgetBox-FormExample-Dev-NickAger.3';
				package: 'JQWidgetBox-FullCalendar-Core' with: 'JQWidgetBox-FullCalendar-Core-PaulDeBruicker.32';
				package: 'JQWidgetBox-FullCalendar-Dev' with: 'JQWidgetBox-FullCalendar-Dev-PaulDeBruicker.5';
				package: 'JQWidgetBox-Growl-Core' with: 'JQWidgetBox-Growl-Core-JohnToohey.2';
				package: 'JQWidgetBox-Growl-Dev' with: 'JQWidgetBox-Growl-Dev-JohnToohey.1';
				package: 'JQWidgetBox-HoverIntent-Core' with: 'JQWidgetBox-HoverIntent-Core-JohanBrichau.2';
				package: 'JQWidgetBox-HoverIntent-Dev' with: 'JQWidgetBox-HoverIntent-Dev-JohanBrichau.4';
				package: 'JQWidgetBox-JEditable-Core' with: 'JQWidgetBox-JEditable-Core-JohanBrichau.1';
				package: 'JQWidgetBox-JEditable-Dev' with: 'JQWidgetBox-JEditable-Dev-JohanBrichau.1';
				package: 'JQWidgetBox-JQGrid-Core' with: 'JQWidgetBox-JQGrid-Core-JohnToohey.3';
				package: 'JQWidgetBox-JQGrid-Dev' with: 'JQWidgetBox-JQGrid-Dev-tbn.2';
				package: 'JQWidgetBox-JQTools-Tabs-Core' with: 'JQWidgetBox-JQTools-Tabs-Core-NickAger.2';
				package: 'JQWidgetBox-JQTools-Tabs-Dev' with: 'JQWidgetBox-JQTools-Tabs-Dev-NickAger.2';
				package: 'JQWidgetBox-ImageDropDown-Core' with: 'JQWidgetBox-ImageDropDown-Core-tbn.2';
				package: 'JQWidgetBox-ImageDropDown-Dev' with: 'JQWidgetBox-ImageDropDown-Dev-tbn.3';
				package: 'JQWidgetBox-InnerFade-Core' with: 'JQWidgetBox-InnerFade-Core-tbn.1';
				package: 'JQWidgetBox-InnerFade-Dev' with: 'JQWidgetBox-InnerFade-Dev-tbn.3';
				package: 'JQWidgetBox-MapQuery-Core' with: 'JQWidgetBox-MapQuery-Core-GastonDallOglio.4';
				package: 'JQWidgetBox-MapQuery-Dev' with: 'JQWidgetBox-MapQuery-Dev-GastonDallOglio.6';
				package: 'JQWidgetBox-MbMenu-Core' with: 'JQWidgetBox-MbMenu-Core-AndreiChis.18';
				package: 'JQWidgetBox-MbMenu-Dev' with: 'JQWidgetBox-MbMenu-Dev-tbn.16';
				package: 'JQWidgetBox-PageFold-Core' with: 'JQWidgetBox-PageFold-Core-tbn.1';
				package: 'JQWidgetBox-PageFold-Dev' with: 'JQWidgetBox-PageFold-Dev-tbn.3';
				package: 'JQWidgetBox-Reflection-Core' with: 'JQWidgetBox-Reflection-Core-tbn.1';
				package: 'JQWidgetBox-Reflection-Dev' with: 'JQWidgetBox-Reflection-Dev-tbn.2';
				package: 'JQWidgetBox-RegisteredInterval-Core' with: 'JQWidgetBox-RegisteredInterval-Core-PaulDeBruicker.1';
				package: 'JQWidgetBox-RegisteredInterval-Example' with: 'JQWidgetBox-RegisteredInterval-Example-PaulDeBruicker.2';
				package: 'JQWidgetBox-SelectMenu-Core' with: 'JQWidgetBox-SelectMenu-Core-PaulDeBruicker.5';
				package: 'JQWidgetBox-ShadowAnimation-Core' with: 'JQWidgetBox-ShadowAnimation-Core-tbn.1';
				package: 'JQWidgetBox-ShadowAnimation-Dev' with: 'JQWidgetBox-ShadowAnimation-Dev-tbn.1';
				package: 'JQWidgetBox-Sheet-Core' with: 'JQWidgetBox-Sheet-Core-tbn.1';
				package: 'JQWidgetBox-Sheet-Dev' with: 'JQWidgetBox-Sheet-Dev-tbn.3';
				package: 'JQWidgetBox-Spinner-Core' with: 'JQWidgetBox-Spinner-Core-tbn.2';
				package: 'JQWidgetBox-Spinner-Dev' with: 'JQWidgetBox-Spinner-Dev-tbn.3';
				package: 'JQWidgetBox-Splitter-Core' with: 'JQWidgetBox-Splitter-Core-tbn.1';
				package: 'JQWidgetBox-Splitter-Dev' with: 'JQWidgetBox-Splitter-Dev-tbn.3';
				package: 'JQWidgetBox-Stars-Core' with: 'JQWidgetBox-Stars-Core-NickAger.4';
				package: 'JQWidgetBox-Stars-Dev' with: 'JQWidgetBox-Stars-Dev-NickAger.8';
				package: 'JQWidgetBox-Tablesorter-Core' with: 'JQWidgetBox-Tablesorter-Core-MartinPolak.4';
				package: 'JQWidgetBox-Tablesorter-Dev' with: 'JQWidgetBox-Tablesorter-Dev-MartinPolak.2';
				package: 'JQWidgetBox-Timepickr-Core' with: 'JQWidgetBox-Timepickr-Core-JohnMcKeon.4';
				package: 'JQWidgetBox-Timepickr-Dev' with: 'JQWidgetBox-Timepickr-Dev-tbn.4';
				package: 'JQWidgetBox-TimeSlider-Core' with: 'JQWidgetBox-TimeSlider-Core-PaulDeBruicker.2';
				package: 'JQWidgetBox-TimeSlider-Dev' with: 'JQWidgetBox-TimeSlider-Dev-PaulDeBruicker.2';
				package: 'JQWidgetBox-UILayout-Core' with: 'JQWidgetBox-UILayout-Core-obi.2';
				package: 'JQWidgetBox-UILayout-Dev' with: 'JQWidgetBox-UILayout-Dev-obi.9';
				package: 'JQWidgetBox-WeekCalendar-Core' with: 'JQWidgetBox-WeekCalendar-Core-tbn.3';
				package: 'JQWidgetBox-WeekCalendar-Dev' with: 'JQWidgetBox-WeekCalendar-Dev-tbn.4' ]! !
